Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class BaseExtWidget

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.BaseExtWidget

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

Direct Known Subclasses:
  Shadow, ToolbarItem

    public abstract class BaseExtWidget

extends com.google.gwt.user.client.ui.Widget

Base abstract Widget class.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `jsObj`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`protected` | `BaseExtWidget()`
`protected` | `BaseExtWidget(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`ExtElement` | `getEl()`
`protected com.google.gwt.user.client.Element` | `getElement(com.google.gwt.core.client.JavaScriptObject jsObj)`
`com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
`int` | `getOffsetHeight()`
`int` | `getOffsetWidth()`
`java.lang.String` | `getTitle()`
`int` | `hashCode()`
`boolean` | `isVisible()`
`protected void` | `onAttach()`
`protected void` | `onLoad()`
`void` | `purgeListeners()`
`void` | `setHeight(java.lang.String height)`
`void` | `setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)`
`void` | `setTitle(java.lang.String title)`
`void` | `setVisible(boolean visible)`
`void` | `setWidth(java.lang.String width)`
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onBrowserEvent, onDetach, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### jsObj

    protected com.google.gwt.core.client.JavaScriptObject jsObj

Constructor Detail

### BaseExtWidget

    protected BaseExtWidget()

### BaseExtWidget

    protected BaseExtWidget(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getJsObj

    public com.google.gwt.core.client.JavaScriptObject getJsObj()

### setJsObj

    public void setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)

### getEl

    public ExtElement getEl()

### getElement

    protected com.google.gwt.user.client.Element getElement(com.google.gwt.core.client.JavaScriptObject jsObj)

### onLoad

    protected void onLoad()

  Overrides:
    `onLoad` in class `com.google.gwt.user.client.ui.Widget`

### onAttach

    protected void onAttach()

  Overrides:
    `onAttach` in class `com.google.gwt.user.client.ui.Widget`

### getOffsetHeight

    public int getOffsetHeight()

  Overrides:
    `getOffsetHeight` in class `com.google.gwt.user.client.ui.UIObject`

### getOffsetWidth

    public int getOffsetWidth()

  Overrides:
    `getOffsetWidth` in class `com.google.gwt.user.client.ui.UIObject`

### getTitle

    public java.lang.String getTitle()

  Overrides:
    `getTitle` in class `com.google.gwt.user.client.ui.UIObject`

### isVisible

    public boolean isVisible()

  Overrides:
    `isVisible` in class `com.google.gwt.user.client.ui.UIObject`

### purgeListeners

    public void purgeListeners()

### setHeight

    public void setHeight(java.lang.String height)

  Overrides:
    `setHeight` in class `com.google.gwt.user.client.ui.UIObject`

### setTitle

    public void setTitle(java.lang.String title)

  Overrides:
    `setTitle` in class `com.google.gwt.user.client.ui.UIObject`

### setVisible

    public void setVisible(boolean visible)

  Overrides:
    `setVisible` in class `com.google.gwt.user.client.ui.UIObject`

### setWidth

    public void setWidth(java.lang.String width)

  Overrides:
    `setWidth` in class `com.google.gwt.user.client.ui.UIObject`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.google.gwt.user.client.ui.UIObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD